#!/usr/bin/env python

from math import *
from novas import *

deltat = 67.0
#deltat = 64.19

JD = Cal2JD(2001,6,21,0.0)
tjd = JD + deltat / 86400.0



loc = Location()
# Lusaka
loc.lat = -15.33333333333
loc.lon =  28.33333333333
loc.h = 0.0

# Moon
moon = Body()
moon.type = 0
moon.number = 11
moon.name = "Moon"

# Sun
sun = Body()
sun.type = 0
sun.number = 10
sun.name = "Sun"

# Earth
e = Body()
e.type = 0
e.number = 3

# from degree to (degree ,min, sec)
def d_to_dms(a):
   if a < 0.0:
      neg = 1
   else:
      neg = 0

   a = abs(a)
   deg = int(a)
   a = a - deg
   m = int(a * 60.0)
   a = a - m / 60.0
   s = a * 3600

   if neg:
      if deg > 0:
          deg = -deg
      elif m > 0: 
          m = -m
      else:
          s = -s
   return deg, m, s

   
header = """
      Moon                                      Sun
UT    RA            Decl         Dist(km)       RA            Decl           Dist(AU)
"""

# TopoPlanet returns a tuple (status, RA (h), Decl (deg), Dist (AU))

def format(obj):
    o = TopoPlanet(tjd, obj, e, deltat, loc)
    RA_s = "%3d %2d %6.3f  " % d_to_dms(o[1])
    Decl_s = "%3d %2d %5.2f  " % d_to_dms(o[2])
    if obj.number == 11:
        eadst = (0.0 + o[3]) * KMAU
        eadst_s = "%10.3f  " %  eadst
    else:
        eadst_s = "%13.9f  " % o[3]
    s =  RA_s + Decl_s + eadst_s
    return s


print "Eclipse Lusaka 21062001"
print header
for i in range(25):
    print "%02i " % i,
    print format(moon), format(sun)
    tjd += (1.0 / 24.0)


